- Qt 6.4
- Qt Core
- C++ Classes
- QLibraryInfo
- Qt 6.4.2 Reference Documentation

# Obsolete Members for QLibraryInfo

The following members of class QLibraryInfo are deprecated. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Types

`(deprecated)` | LibraryLocation

## Static Public Members

`(deprecated (6.0))` QString | location(QLibraryInfo::LibraryLocation loc)

## Member Type Documentation

### `[alias]` QLibraryInfo::LibraryLocation

This typedef is deprecated. We strongly advise against using it in new code.

Use LibraryPath with QLibraryInfo::path() instead.

## Member Function Documentation

### `[static]` QString QLibraryInfo::location(QLibraryInfo::LibraryLocation loc)

This function is deprecated since 6.0. We strongly advise against using it in new code.

Use path() instead.

Returns the path specified by loc.